DocValuesMultiRangeQuery.SortedSetStabbingBuilder (Lucene 10.5.0 sandbox API)
Description: declaration: package: org.apache.lucene.sandbox.search, class: DocValuesMultiRangeQuery, class: SortedSetStabbingBuilder

Package org.apache.lucene.sandbox.search

# Class DocValuesMultiRangeQuery.SortedSetStabbingBuilder

java.lang.Object
org.apache.lucene.sandbox.search.DocValuesMultiRangeQuery.SortedSetStabbingBuilder

Enclosing class:
  `DocValuesMultiRangeQuery`

public static class DocValuesMultiRangeQuery.SortedSetStabbingBuilder extends Object
Builder for creating a multi-range query for stabbing by SortedSet or Sorted field values. For example, it matches IPs in docvalues field by multiple IP ranges. For the single range it behaves like `SortedSetDocValuesField.newSlowRangeQuery(String, BytesRef, BytesRef, boolean, boolean)` with both true arguments

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final List<DocValuesMultiRangeQuery.ByteRange>`
  `clauses`
  `protected final String`
  `fieldName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SortedSetStabbingBuilder(String fieldName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DocValuesMultiRangeQuery.SortedSetStabbingBuilder`
  `add(BytesRef singleValue)`
  Adds a value when lower and upper values are equal
  `DocValuesMultiRangeQuery.SortedSetStabbingBuilder`
  `add(BytesRef lowerValue, BytesRef upperValue)`
  `Query`
  `build()`
  `protected Query`
  `createSortedSetDocValuesMultiRangeQuery()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### fieldName

    protected final String fieldName

  - ### clauses

    protected final List<DocValuesMultiRangeQuery.ByteRange> clauses

- ## Constructor Details

  - ### SortedSetStabbingBuilder

    public SortedSetStabbingBuilder(String fieldName)

- ## Method Details

  - ### add

    public DocValuesMultiRangeQuery.SortedSetStabbingBuilder add(BytesRef lowerValue, BytesRef upperValue)

  - ### add

    public DocValuesMultiRangeQuery.SortedSetStabbingBuilder add(BytesRef singleValue)
    Adds a value when lower and upper values are equal

  - ### build

    public Query build()

  - ### createSortedSetDocValuesMultiRangeQuery

    protected Query createSortedSetDocValuesMultiRangeQuery()